"""empty message

Revision ID: 0ef61b2c85b6
Revises: 0fb6bf05729a
Create Date: 2019-07-02 16:34:49.788600

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '0ef61b2c85b6'
down_revision = '0fb6bf05729a'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('spider',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=80), nullable=False),
    sa.Column('image_name', sa.String(length=80), nullable=False),
    sa.Column('env_vars', sa.Text(), nullable=False),
    sa.Column('secret_name', sa.String(length=80), nullable=True),
    sa.Column('cluster_name', sa.String(length=80), nullable=False),
    sa.ForeignKeyConstraint(['cluster_name'], ['cluster.name'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('spider')
    # ### end Alembic commands ###
